Opened 11 years ago

Closed 11 years ago

#6679 closed patch (fixed)

Always show year in Schedules Direct expiration date when important

Reported by: sphery <mtdean@…> Owned by: stuartm
Priority: minor Milestone: unknown
Component: MythTV - Mythfilldatabase Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

The attached patch modifies the code that creates the DataDirectMessage? (the subscription expiration message) so that it always shows the year when import--i.e. when the year is not the same as the current year--regardless of the user's selected DateFormat?. Thanks to Marc Tousignant for pointing out the potential for confusion at http://mythtv.org/pipermail/mythtv-dev/2009-June/065350.html .

Note that this behavior exists only in trunk as 0.21-fixes always uses Qt::LocalDate? format. [18444] changed it to use the user-defined date (and time) format for users who run mythfilldatabase in environments configured with a locale to which they're not accustomed (i.e. where month and day may be in the "wrong" order).

With the patch, if a user selects a DateFormat? of "ddd MMMM d" (without year) and her subscription expires June 21, 2010, at 10:20 PM, the message will show:

Your subscription expires on Mon Jun 21 (2010) 10:20 PM

The parens were included to make formats like "MM/dd" look better ("07/21 (2010)" rather than "07/21 2010"). If the reviewer has a better approach, feel free to change the format modification.

If, instead, her subscription expires June 29, 2009, at 10:20 PM, the message will show:

Your subscription expires on Mon Jun 29 10:20 PM

(the year is not added as it's the same as the current year).

If the user chooses a DateFormat? of "ddd MMM d yyyy" (which includes year) and the subscription expires on June 21, 2010, at 10:20 PM, the message will show:

Your subscription expires on Mon Jun 21 2010 10:20 PM

(year is not added as the specified DateFormat? already contains the year).

Attachments (1)

mythtv-6679-always_show_year_for_schedules_direct_expiration.patch (1.2 KB) - added by sphery <mtdean@…> 11 years ago.

Download all attachments as: .zip

Change History (3)

Changed 11 years ago by sphery <mtdean@…>

comment:1 Changed 11 years ago by Marc Tousignant <drayson@…>

Nice patch. I like how it will not display the year for expiration in the current year.

comment:2 Changed 11 years ago by stuartm

Resolution: fixed
Status: newclosed

(In [20829]) Always display the SD subscription expiry year if different from the current year. Patch from Michael Dean. Closes #6679

Note: See TracTickets for help on using tickets.